cURL
curl --request GET \
--url https://api.puretalk.ai/api/campaigns \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.puretalk.ai/api/campaigns"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.puretalk.ai/api/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Campaigns retrieved successfully",
"err": false,
"results": {
"count": 100,
"campaigns": [
{
"ai_assistant": {
"assistant_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "My Assistant",
"variables": [
"name"
]
},
"schedules": [
{
"campaign_schedule_id": "123e4567-e89b-12d3-a456-426614174000",
"day": "Monday",
"start_time": "10:00",
"end_time": "11:00"
}
],
"campaign_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "call",
"name": "My Campaign",
"start_date": "2021-01-01",
"end_date": "2021-01-01",
"status": "active",
"created_at": "2021-01-01",
"updated_at": "2021-01-01",
"total_tasks": 100,
"completed_tasks": 100,
"pending_tasks": 100
}
]
}
}{
"err": false,
"msg": "Error message"
}Campaigns
Get Campaigns
Returns all campaigns from the system that the user has access to
GET
/
campaigns
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Query Parameters
The page number to return
The maximum number of results to return
Was this page helpful?
⌘I